(function($){
    $.fn.setCursorToTextEnd = function() {
        $initialVal = this.val();
        this.val($initialVal + ' ');
        this.val($initialVal);
    };
})(jQuery);
$(".btn#add_user").click(function () 
{$(".error").html("");
    $.ajax({
                url: "cong_tac_vien/them",
                type: "POST",
                data: $("#add_user").serialize(),
                success: function (data, textStatus, jqXHR)
                {
                    $result = jQuery.parseJSON(data);
                    if ($result.success == "1")
                    {   
                    filter();
                    $('#addUser').modal('hide');
                    }
                    else
                    {
                        
                        for(var i =0;i < $result.errors.length;i++)
                        {
                          var er= $result.errors[i];
                          $("#"+er.field+".error").append(er.content);
                        }
                    }
                    
                },
               
            });
        
        });
        


function updateuser(id)
{
    $.ajax({
            url: 'cong_tac_vien/cap_nhat',
            type: "POST",
            data: $("#editUser_"+id).serialize(),
            success: function (data, textStatus, jqXHR)
            {
                $result = jQuery.parseJSON(data);
                    if ($result.success == "1")
                    {   
                    filter();
                    $('#close_'+id).click();
                    }
                    else
                    {
                        
                        for(var i =0;i < $result.errors.length;i++)
                        {
                          var er= $result.errors[i];
                          $("#add_user_"+id).append("<div class='error'>"+er+"</div>");
                        }
                    }

            },
            error: function (jqXHR, textStatus, errorThrown)
            {
                $(".ajaxloading").hide();
            }
        });
    return false;
}
function deleteuser(id)
{
    $.ajax({
            url: 'cong_tac_vien/xoa_cong_tac_vien',
            type: "POST",
            data: $("#editUser_"+id).serialize(),
            success: function (data, textStatus, jqXHR)
            {
                $result = jQuery.parseJSON(data);
                    if ($result.success == "1")
                    {   
                    filter();
                    $('#close_delete_'+id).click();
                    }
                    else
                    {
                        
                        for(var i =0;i < $result.errors.length;i++)
                        {
                          var er= $result.errors[i];
                          $("#add_user_"+id).append("<div class='error'>"+er+"</div>");
                        }
                    }

            },
            error: function (jqXHR, textStatus, errorThrown)
            {
                $(".ajaxloading").hide();
            }
        });
    return false;
}